## designate 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
eventlet>=0.17.4
Flask<1.0,>=0.10
greenlet>=0.3.2
iso8601>=0.1.9
Jinja2>=2.6 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.0.0
netaddr!=0.7.16,>=0.7.12
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
Paste
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
python-designateclient>=1.0.0
python-neutronclient>=2.6.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
requests>=2.5.2
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6
setuptools>=16.0
WebOb>=1.2.3
dnspython>=1.12.0;python_version<'3.0'
dnspython3>=1.12.0;python_version>='3.0'
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56
psutil<2.0.0,>=1.1.1
tooz>=1.19.0 # Apache-2.0
