=== debian/changelog ===
designate (1:1.0.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 16:04:33 +0100

designate (1:1.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in the depends: of designate-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:39:36 +0000

designate (1:1.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:18:25 +0000

designate (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:00:14 +0200

designate (1:1.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Added BSD license for designate/api/v2/controllers/rest.py.
  * Added designate-zone-manager service which was missing.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 14:00:40 +0200

designate (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now designate-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 13:31:11 +0200

designate (1:1.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 10:41:50 +0200

designate (1:1.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebase patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Aug 2015 09:13:44 +0200

designate (2015.1.0-2) unstable; urgency=medium

  * Added -mdns and -pool-manager services through new .deb which were missing.
    Thanks to Graham Hayes <graham@hayes.ie> for the report (Closes: #792034)
  * Removed all individual debian/*.logrotate files, using only a single
    designate-common.logrotate file now.
  * Added do-not-use-namespace-oslo.concurrency.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jul 2015 19:25:17 +0200

designate (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 14:43:36 +0800

designate (2014.2-3) experimental; urgency=medium

  * Fix upgrade from Icehouse to Juno failing because of the directive
    database_connection has been renamed connection (Close: #769765).
    Thanks to Andreas Beckmann <anbe@debian.org> for the report.
  * Adds remove-PROTOCOL_SSLv3-from-sslutils.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 11:09:35 +0000

designate (2014.2-2) experimental; urgency=medium

  * Using connection = as directive for the db, and using "database sync"
    instead of "database-sync" (Closes: #767853).
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:49:22 +0000

designate (2014.2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:24:33 +0800

designate (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added --fail-missing when calling dh_install.
  * Fixed version of rootwrap depends.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Standards-Version is now 3.9.6 (no change).
  * Failed unit test suite fails the build.
  * designate-api now depends on adduser.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 13:35:35 +0800

designate (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Updated (build-)depends form this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 02:11:53 +0800

designate (2014.1-9) unstable; urgency=medium

  * Fixed new upstream URL in debian/rules.
  * Added sqlite3 as depends: for designate-common (Closes: #754673).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2014 23:15:25 +0800

designate (2014.1-8) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 12~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 09:08:52 +0000

designate (2014.1-7) unstable; urgency=medium

  * Added missing depends on dbconfig-common (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Jun 2014 03:04:37 +0000

designate (2014.1-6) unstable; urgency=medium

  * Do not use addgroup in config script (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2014 09:25:43 +0800

designate (2014.1-5) unstable; urgency=medium

  * Added a copytruncate in logrotate scripts.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:04:33 +0800

designate (2014.1-4) unstable; urgency=medium

  * Added missing dependency on adduser (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 May 2014 12:53:18 +0800

designate (2014.1-3) unstable; urgency=medium

  * Added French debconf templates translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #747511).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2014 05:38:37 +0800

designate (2014.1-2) unstable; urgency=medium

  * Added Portuguese debconf translation, thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #746599).

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 06:59:17 +0000

designate (2014.1-1) unstable; urgency=medium

  * New upsteram release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2014 00:40:07 +0800

designate (2014.1~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2014 14:02:53 +0800

designate (2014.1~b3-1) experimental; urgency=low


