=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-designateclient (>= 1.5.0),
                     python-dnspython,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-flask,
                     python-greenlet,
                     python-hacking,
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystonemiddleware (>= 2.0.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 2.6.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-psutil,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-suds,
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.19.0),
                     python-webob,
                     python-webtest,
                     python-werkzeug,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/designate.git
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Depends: python-babel,
         python-designateclient (>= 1.5.0),
         python-dnspython,
         python-eventlet (>= 0.17.4),
         python-flask,
         python-greenlet,
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystonemiddleware (>= 2.0.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 2.6.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psutil,
         python-pymysql,
         python-requests (>= 2.5.2),
         python-routes,
         python-six (>= 1.9.0),
         python-suds,
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 1.19.0),
         python-webob,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: designate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.
