## designate 1.0.2

=== requirements.txt ===
--- 
+++ 
@@ -9,17 +9,17 @@
 iso8601>=0.1.9
 Jinja2>=2.6 # BSD License (3 clause)
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 netaddr!=0.7.16,>=0.7.12
 oslo.config>=2.3.0 # Apache-2.0
 oslo.concurrency>=2.3.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 Paste
 PasteDeploy>=1.5.0
 pbr>=1.6
@@ -28,7 +28,7 @@
 python-neutronclient>=2.6.0
 Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
 Routes!=2.0,>=1.12.3;python_version!='2.7'
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 SQLAlchemy<1.1.0,>=0.9.9
 sqlalchemy-migrate>=0.9.6
