=== debian/changelog ===
designate (1:1.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).
  * d/p/fixes-keystone-authtoken.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 13 Oct 2016 09:55:27 -0400

designate (1:1.0.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2015 13:03:41 +0000

designate (1:1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:39:43 -0400

designate (1:1.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:40:30 -0400

designate (1:1.0.0~rc1-0ubuntu3) wily; urgency=medium

  * d/control,designate-zone-manager.init.in: Add binary package an init script
    for missing zone-manager function.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 13:23:04 +0100

designate (1:1.0.0~rc1-0ubuntu2) wily; urgency=medium

  * d/control: Drop python-dnspython3.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Sep 2015 16:28:13 -0400

designate (1:1.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 10:42:26 +0100

designate (1:1.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:50:31 -0400

designate (1:1.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 10:02:09 -0400

designate (1:1.0.0~b1-0ubuntu5) wily; urgency=medium

  * d/pydist-overrides: Ignore dependency on suds-jurko, provided by
    python-suds in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 10:52:36 +0200

designate (1:1.0.0~b1-0ubuntu4) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:24:47 +0100

designate (1:1.0.0~b1-0ubuntu3) wily; urgency=medium

  [ Thomas Goirand ]
  * Added -mdns and -pool-manager services through new .deb which were missing
    (LP: #1473460).
  * Removed all individual debian/*.logrotate files, using only a single
    designate-common.logrotate file now.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jul 2015 11:29:49 +0100

designate (1:1.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop use of OSLO_PACKAGE_VERSION as we always build from
    upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 14:08:49 +0100

designate (1:1.0.0~b1-0ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/p/skipped-tests.patch: Skip tests that fail in the buildds due to
      use of multicast.
    - d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
      SO_REUSEPORT socket option with older kernel versions.
    - d/watch: Use tarballs.openstack.org for upstream releases.
    - d/rules: Generalize exclusion of usr/etc installed files with use
      of --fail-missing.
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/*: wrap-and-sort -a -t.
    - d/p/fix-SO_REUSEPORT-usage.patch: Dropped, included upstream.
  * d/control: Update Vcs fields for Launchpad Git repositories.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 12:06:57 +0100

designate (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
    SO_REUSEPORT socket option with older kernel versions, resolving
    FTBFS on distro builders which use 3.2.0 kernels (LP: #1451691).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2015 12:00:25 +0100

designate (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 May 2015 08:33:33 +0200

designate (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - debian/patches/fixup-jsonschema.patch: Dropped no longer needed.
    - debian/patches/skipped-tests.patch: Skip tests that fail
      in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Apr 2015 08:44:15 -0400

designate (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - d/p/fixup-jsonschema.patch: Fixup compat with jsonschema 2.3.0.
  * d/watch: Use tarballs.openstack.org for releases.
  * d/designate-api.init.in: Fixup name for designate-api binary.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:05:29 +0100
