=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: designate
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9~),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 23~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
-               python-setuptools (>= 16.0),
+               python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
-                     python-designateclient (>= 1.5.0),
-                     python-dnspython,
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-coverage (>= 3.6),
+                     python-designateclient (>= 1.0.0),
+                     python-dnspython (>= 1.12.0),
                      python-eventlet (>= 0.17.4),
                      python-fixtures (>= 1.3.1),
-                     python-flask,
-                     python-greenlet,
-                     python-hacking,
-                     python-iso8601,
-                     python-jinja2,
-                     python-jsonschema,
+                     python-flask (>= 0.10),
+                     python-greenlet (>= 0.3.2),
+                     python-hacking (>= 0.9.2),
+                     python-iso8601 (>= 0.1.9),
+                     python-jinja2 (>= 2.6),
+                     python-jsonschema (>= 2.0.0),
                      python-keystonemiddleware (>= 2.0.0),
                      python-memcache (>= 1.56),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.3),
+                     python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 2.6.0),
+                     python-neutronclient (>= 1:2.6.0),
                      python-oslo.concurrency (>= 2.3.0),
                      python-oslo.config (>= 1:2.3.0),
                      python-oslo.context (>= 0.2.0),
@@ -41,56 +41,55 @@
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.8.0),
+                     python-oslo.service (>= 0.7.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paste,
-                     python-pastedeploy,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pbr (>= 1.8),
                      python-pecan (>= 1.0.0),
-                     python-pymysql,
-                     python-psutil,
+                     python-pkg-resources (>= 16.0),
+                     python-psutil (>= 1.1.1),
                      python-requests (>= 2.5.2),
                      python-requests-mock (>= 0.6.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
-                     python-suds,
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 0.9.9),
                      python-stevedore (>= 1.5.0),
+                     python-suds,
                      python-tempest-lib (>= 0.8.0),
-                     python-testscenarios,
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.19.0),
-                     python-webob,
-                     python-webtest,
-                     python-werkzeug,
-                     sqlite3,
-                     subunit,
-                     testrepository,
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
+                     python-werkzeug (>= 0.7),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/designate.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
 Homepage: https://github.com/openstack/designate
 
 Package: python-designate
 Section: python
 Architecture: all
-Depends: python-babel,
-         python-designateclient (>= 1.5.0),
-         python-dnspython,
+Depends: python-babel (>= 1.3),
+         python-designateclient (>= 1.0.0),
+         python-dnspython (>= 1.12.0),
          python-eventlet (>= 0.17.4),
-         python-flask,
-         python-greenlet,
-         python-iso8601,
-         python-jinja2,
-         python-jsonschema,
+         python-flask (>= 0.10),
+         python-greenlet (>= 0.3.2),
+         python-iso8601 (>= 0.1.9),
+         python-jinja2 (>= 2.6),
+         python-jsonschema (>= 2.0.0),
          python-keystonemiddleware (>= 2.0.0),
          python-memcache (>= 1.56),
          python-migrate (>= 0.9.6),
-         python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 2.6.0),
+         python-neutronclient (>= 1:2.6.0),
          python-oslo.concurrency (>= 2.3.0),
          python-oslo.config (>= 1:2.3.0),
          python-oslo.context (>= 0.2.0),
@@ -102,26 +101,26 @@
          python-oslo.policy (>= 0.5.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.8.0),
+         python-oslo.service (>= 0.7.0),
          python-oslo.utils (>= 2.0.0),
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
-         python-psutil,
-         python-pymysql,
+         python-pkg-resources (>= 16.0),
+         python-psutil (>= 1.1.1),
          python-requests (>= 2.5.2),
-         python-routes,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
-         python-suds,
          python-sqlalchemy (>= 0.9.9),
          python-stevedore (>= 1.5.0),
+         python-suds,
          python-tooz (>= 1.19.0),
-         python-webob,
-         python-werkzeug,
-         ${misc:Depends},
-         ${python:Depends},
-Provides: ${python:Provides}
+         python-webob (>= 1.2.3),
+         python-werkzeug (>= 0.7),
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
 XB-Python-Version: ${python:Versions}
 Description: OpenStack DNS as a Service - Python libs
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
@@ -170,8 +169,7 @@
 Architecture: all
 Depends: adduser,
          designate-common (= ${binary:Version}),
-         python-openstackclient,
-         q-text-as-data,
+         python-designate (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - API server
@@ -276,12 +274,9 @@
 Package: designate-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: OpenStack DNS as a Service - doc
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
  authentication, and provides a framework in place to integrate with Nova and
- Neutron notifications (for auto-generated records). Designate supports
- PowerDNS and Bind9 out of the box.
- .
- This package contains the documentation.
