=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 UPSTREAM_GIT = git://github.com/openstack/designate.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
@@ -15,16 +14,12 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
-	rm -rf doc/build build *.egg-info
+	rm -rf doc/build build
 	rm -f debian/*.init debian/*.upstart debian/*.service
+	rm -rf .eggs
 
 override_dh_install:
-	dh_install -O--buildsystem=python_distutils --fail-missing \
-		-Xusr/etc/designate/designate.conf.sample \
-		-Xusr/etc/designate/policy.json \
-		-Xusr/etc/designate/rootwrap.conf.sample \
-		-Xusr/etc/designate/api-paste.ini \
-		-Xusr/etc/designate/rootwrap.d/bind9.filters
+	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=python_distutils
